%global snapshot 20130214svn

Name:           python-ctypesgen
Version:        0
Release:        0.7.%{snapshot}%{?dist}
Summary:        A pure-python ctypes wrapper generator

Group:          Development/Languages
License:        BSD
URL:            https://code.google.com/p/ctypesgen/
# Source0 is generated by running Source10, which pulls from the upstream
# version control repository.
Source0:        %{name}-%{snapshot}.tar.gz
Source10:       snapshot.sh
# Man page based on output from help2man.
Source20:       ctypesgen.py.1
BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-setuptools

%description
ctypesgen is a pure-python ctypes wrapper generator. It can also
output JSON, which can be used with Mork, which generates bindings for
Lua, using the alien module (which binds libffi to Lua).


%prep
%setup -q -n %{name}-%{snapshot}


%build
%{__python} setup.py build


%install
%{__python} setup.py install --skip-build --root %{buildroot}
# Fix non-executable-script
for i in $(grep -Rl /usr/bin/env %{buildroot}%{python_sitelib}); do
    chmod +x "${i}"
done
# Install man page
install -p -D -m0644 %{SOURCE20} %{buildroot}%{_mandir}/man1/ctypesgen.py.1


%files
%doc LICENSE README demo/
%{python_sitelib}/*egg-info
%{python_sitelib}/ctypesgencore
%{_bindir}/ctypesgen.py
%{_mandir}/man1/ctypesgen.py.1*


%changelog
* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.7.20130214svn
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.6.20130214svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.5.20130214svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.4.20130214svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.3.20130214svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jun 19 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0-0.2.20130214svn
- remove redundant build variables
- fix executable permissions
- add man page based on output from help2man

* Sat Mar 09 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0-0.1.20130214svn
- initial package
